List Release Versions
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/releases/{release_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/releases/{release_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/releases/{release_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"type": "<string>",
"date": "<string>",
"data": "<string>",
"entity": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"page_info": {
"self": "<string>",
"first": null,
"next": "<string>",
"prev": "<string>"
}
}Returns paginated file version data associated with a release.
GET
/
projects
/
{project_reference}
/
releases
/
{release_id}
/
versions
List Release Versions
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project slug, ID, or other supported project reference.
Release ID.
Query Parameters
Cursor for pagination (version ID).
Maximum number of versions to return. Defaults to 20 and is capped at 100.
Required range:
1 <= x <= 100⌘I